🔗 REST APIIndexes

Timeseries Index Value

GET
/v1/indexes/{index_id}/timeseries
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

index_id*string

Query Parameters

period_id*string

Identifier of requested timeseries period (e.g. 5SEC or 1DAY)

time_start*string

Timeseries starting time in ISO 8601

time_end*string

Timeseries ending time in ISO 8601

limit?integer

Amount of items to return (optional, mininum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)

Formatint32
Default100

Response Body

curl -X GET "https://example.com/v1/indexes/string/timeseries?period_id=string&time_start=string&time_end=string"
[  {    "time_period_start": "2024-09-05T08:00:00+00:00",    "time_period_end": "2024-09-05T09:00:00+00:00",    "time_open": "2024-09-05T08:00:44+00:00",    "time_close": "2024-09-05T08:59:44+00:00",    "value_open": 57146.1153570673,    "value_high": 57210.0651836076,    "value_low": 56950.4558254606,    "value_close": 56993.5152800002,    "value_count": 0  },  {    "time_period_start": "2024-09-05T09:00:00+00:00",    "time_period_end": "2024-09-05T10:00:00+00:00",    "time_open": "2024-09-05T09:00:44+00:00",    "time_close": "2024-09-05T09:59:59.9+00:00",    "value_open": 57000.6574615287,    "value_high": 57000.6574615287,    "value_low": 56650.5866347198,    "value_close": 56787.2920819528,    "value_count": 0  },  {    "time_period_start": "2024-09-05T10:00:00+00:00",    "time_period_end": "2024-09-05T11:00:00+00:00",    "time_open": "2024-09-05T10:00:00+00:00",    "time_close": "2024-09-05T10:59:59.9+00:00",    "value_open": 56787.2920819528,    "value_high": 56788.3686345929,    "value_low": 56786.7251004355,    "value_close": 56787.2066526585,    "value_count": 0  }]